<script lang="ts">
	import { ValueType } from "./Value";

	import { createEventDispatcher } from "svelte";
	import { GetVal } from "./utils";
	const dispatch = createEventDispatcher();

	export let value: ValueType;
</script>

<div>
	<select {value} on:input={(e) => dispatch("value", GetVal(e))}>
		{#each Object.keys(ValueType) as v}
			<option value={v}>{v}</option>
		{/each}
	</select>
</div>

<style lang="sass">
	select
		text-align: center
</style>
